Subject: bug#47638: closed (Re: bug#47638: [Emacs-Guix] build-farm-url.el refers to former URLs)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 10 Dec 2024 16:51:10 +0000

Your bug report

#47638: [Emacs-Guix] build-farm-url.el refers to former URLs

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47638: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=47638
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47638: [Emacs-Guix] build-farm-url.el refers to former URLs
From: Simon Tournier <[email-masked]>
To: Cayetano Santos <[email-masked]>, [email-masked]
Cc: [email-masked], [email-masked]
Date: Tue, 10 Dec 2024 17:32:00 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Tue, 05 Nov 2024 at 11:33, Cayetano Santos via Bug reports for GNU Guix <[email-masked]> wrote:
>> I just noticed that build-farm-url.el refers to deprecated/outdated
>> URLs: hydra.gnu.org, ci.guix.info, etc.
>
> I have send a pull request to fix upstream urls:
>
>     https://github.com/alezost/build-farm.el/pull/2/files
>
>> As I’m writing this :-), I also notice that build-farm.el is technically
>> not part of Emacs-Guix (and it supports Hydra too), but perhaps it
>> should?  The Cuirass JSON API is being expanded these days so it may be
>> useful to revive this code.
>
> Latest commit is from 2018 ... Anyhow, the melpa package uses the github
> url, to start with. I’ll send a patch to fix this, in the hope that
> someone takes care of this package.
>
> Do we close the bug ?

Closing!  Feel free to reopen if I am missing something.

Cheers,
simon

Subject: [Emacs-Guix] build-farm-url.el refers to former URLs
From: Ludovic Courtès <[email-masked]>
To: <[email-masked]>
Date: Wed, 07 Apr 2021 14:59:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

I just noticed that build-farm-url.el refers to deprecated/outdated
URLs: hydra.gnu.org, ci.guix.info, etc.

As I’m writing this :-), I also notice that build-farm.el is technically
not part of Emacs-Guix (and it supports Hydra too), but perhaps it
should?  The Cuirass JSON API is being expanded these days so it may be
useful to revive this code.

Ludo’.